/*
 * Class STRING_TO_REAL_CONVERTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_453 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_453 [] = {0xFF01,1551,452,0xFFFF};
static const EIF_TYPE_INDEX egt_2_453 [] = {0xFF01,452,0xFFFF};
static const EIF_TYPE_INDEX egt_3_453 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_453 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_453 [] = {0xFF01,452,0xFFFF};
static const EIF_TYPE_INDEX egt_6_453 [] = {0xFF01,452,0xFFFF};
static const EIF_TYPE_INDEX egt_7_453 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_453 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_453 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_453 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_453 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_453 [] = {0xFF01,452,0xFFFF};
static const EIF_TYPE_INDEX egt_13_453 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_453 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_453[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_453), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_453), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_453), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_453), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_453), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_453), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_453), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_453), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_453), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_453), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_453), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_453), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0389 /*452*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_453), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 7590, 40},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 7591, 32},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7593, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7619, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7620, 9},
	{EIF_GENERIC(egt_13_453), 7621, 0},
	{EIF_GENERIC(egt_14_453), 7622, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7623, 16},
	{EIF_GENERIC(NULL), 7636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7637, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7628, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7629, 24},
	{EIF_GENERIC(NULL), 7647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 7634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 7635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 7639, 48},
	{EIF_NON_GENERIC(0x06BF /*863*/), 7640, 56},
	{EIF_NON_GENERIC(0x06BF /*863*/), 7641, 64},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7642, 28},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7643, 10},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7644, 11},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7645, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7646, 13},
};
void Init453(void)
{
	IDSC(desc_453, 0, 452);
	IDSC(desc_453 + 1, 1, 452);
	IDSC(desc_453 + 32, 134, 452);
	IDSC(desc_453 + 55, 1173, 452);
	IDSC(desc_453 + 74, 797, 452);
}


#ifdef __cplusplus
}
#endif
